package com.doverfuelingsolutions.issp.api.entity

data class NozzleInfo(
    val pumpId: Int,
    val logicId: Int,
    val physicalId: Int,
    val barcodeId: Int,
    val barcodeName: String,
    val posItemUniqueId: String,
) {

    class Builder() {

        constructor(nozzle: NozzleInfo) : this() {
            pumpId = nozzle.pumpId
            logicId = nozzle.logicId
            physicalId = nozzle.physicalId
            barcodeId = nozzle.barcodeId
            barcodeName = nozzle.barcodeName
            posItemUniqueId = nozzle.posItemUniqueId
        }

        var pumpId: Int = -1
        var logicId: Int = -1
        var physicalId: Int = -1
        var barcodeId: Int = -1
        var barcodeName: String = ""
        var posItemUniqueId: String = ""

        fun build(): NozzleInfo {
            return NozzleInfo(pumpId, logicId, physicalId, barcodeId, barcodeName, posItemUniqueId)
        }
    }
}